%global artifactId javax.el

Name:           glassfish-el
Version:        2.2.5
Release:        %mkrel 3
Summary:        J2EE Expression Language Implementation
Group:          Development/Java
License:        CDDL or GPLv2 with exceptions
URL:            http://uel.java.net
# svn export https://svn.java.net/svn/uel~svn/tags/javax.el-2.2.5/ javax.el-2.2.5
# tar cvJf javax.el-2.2.5.tar.xz javax.el-2.2.5/
Source0:        %{artifactId}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  jvnet-parent
BuildRequires:  maven-local
BuildRequires:  maven
BuildRequires:  maven-source-plugin
BuildRequires:  cdi-api
BuildRequires:  mvn(javax.el:javax.el-api)
Requires:       mvn(javax.el:javax.el-api)

%description
This project provides an implementation of the Expression Language (EL).
The main goals are:
 * Improves current implementation: bug fixes and performance improvements
 * Provides API for use by other tools, such as Netbeans

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{artifactId}-%{version}

%build
mvn-rpmbuild \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{artifactId}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap -a "org.eclipse.jetty.orbit:com.sun.el"

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/
rm -rf target/site/api*

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.2.5-3.mga4
+ Revision: 535819
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 dmorgan <dmorgan> 2.2.5-2.mga4
+ Revision: 482650
- Rebuild against new javapackages

* Sat Jul 13 2013 dmorgan <dmorgan> 2.2.5-1.mga4
+ Revision: 453750
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.2-2.mga3
+ Revision: 351697
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Aug 06 2011 dmorgan <dmorgan> 2.2-1.mga2
+ Revision: 132012
- Clean spec file

  + gil <gil>
    - imported package glassfish-el

